Subject: Re: [PATCH v4 0/2] rev-list: print additional missing object information

From: Junio C Hamano <[email-masked]>
Date: Wed, 05 Feb 2025 05:18:57 -0800

Justin Tobler <[email-masked]> writes:

> One concern I currently have with this quoting approach is that it is a
> bit more challenging to machine parse compared to something like using a
> null byte to delimit between missing info. One option is, in a followup
> series, introduce a git-for-each-ref(1) style format syntax. Maybe
> something like: `--missing=print-info:%(path)%00%(type)`. I'm curious if
> anyone may have thoughts around this.

Would it be so bad if we said that in -z mode with --info option,
each record is terminated with two NUL bytes, and elements on a list
of var=value pairs have a single NUL in between, or something silly
like that?  The point is to get away with just a fixed format,
without any customization.